clonable_ptr< T > Class Template Reference

A pointer which can be copied and cloned. More...

`#include <smartptr.h>`

Inheritance diagram for clonable_ptr< T >:

## Public Member Functions

| clonable_ptr (const T &obj)
| clonable_ptr (T *p=NULL)
| clonable_ptr (const clonable_ptr< T > &rhs)
clonable_ptr< T > & | operator= (const clonable_ptr< T > &rhs)
Public Member Functions inherited from member_ptr< T >
| member_ptr (T *p=NULL)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
T * | release ()
void | reset (T *p=NULL)

## Detailed Description

template<class T>
class clonable_ptr< T >

A pointer which can be copied and cloned.

Template Parameters

  T | class or type

`T` should adhere to the `Clonable` interface

Definition at line 104 of file smartptr.h.

## Constructor & Destructor Documentation

## clonable_ptr() [1/3]

template<class T >

clonable_ptr< T >::clonable_ptr | ( | const T & | obj | ) |

inline

Definition at line 107 of file smartptr.h.

## clonable_ptr() [2/3]

template<class T >

clonable_ptr< T >::clonable_ptr | ( | T * | p = `NULL` | ) |

inline

Definition at line 108 of file smartptr.h.

## clonable_ptr() [3/3]

template<class T >

clonable_ptr< T >::clonable_ptr | ( | const clonable_ptr< T > & | rhs | ) |

inline

Definition at line 109 of file smartptr.h.

## Member Function Documentation

## operator=()

template<class T >

clonable_ptr< T > & clonable_ptr< T >::operator= | ( | const clonable_ptr< T > & | rhs | ) |

Definition at line 115 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h